diff a/test/jdk/jdk/incubator/vector/templates/Perf-Scalar-Compare.template b/test/jdk/jdk/incubator/vector/templates/Perf-Scalar-Compare.template
--- /dev/null
+++ b/test/jdk/jdk/incubator/vector/templates/Perf-Scalar-Compare.template
@@ -0,0 +1,15 @@
+
+    @Benchmark
+    public void [[TEST]][[TEST_TYPE]][[OP_NAME]](Blackhole bh) {
+        $type$[] as = fa.apply(size);
+        $type$[] bs = fb.apply(size);
+        boolean r = true;
+
+        for (int ic = 0; ic < INVOC_COUNT; ic++) {
+            for (int i = 0; i < as.length; i++) {
+                r &= [[TEST_OP]](as[i], bs[i]); // accumulate so JIT can't eliminate the computation
+            }
+        }
+
+        bh.consume(r);
+    }
